Preface

 Top Next

CES pattern design systems have evolved since 1985 when the company was founded. The original product was used to design patterns for CES controlled stitching machines. It was implemented using Autodesk's computer aided design package AutoCad. The scripting language within AutoCad, called AutoLisp, was used to add specialized functions needed to design a stitching machine pattern. A conversion program was written that read the AutoCad generated DXF file format and produced a pattern file used by the 3 axis servo motion controller.

When CES begin designing and selling tufting machine controls in 1986, the stitching machine design package was adapted to create tufting machine patterns. AutoCad's vector-based language provided powerful commands for replicating, scaling, and mirroring the patterns. The AutoCad based system has evolved for many years and continues to provide good functionality in designing tufting machine patterns.

Although AutoCad's vector based approach has many advantages, there are times when it would be helpful to edit a pattern as a pixel based image. CES introduced a pixel oriented pattern design product using a DOS based program called PC Paintbrush. This program had several limitations including the lack of a scripting languange; therefore, specialized functions could not be added. Also, whereas screen pixels are square in size, carpet tufts have varying rectangular shapes depending on the machine stitch count and needle gauge.

With Microsoft Windows becoming a industry standard, many mass marketed graphic design products became available. Windows provided software developers a standard interface to write programs that could support most video graphics cards, printers, scanners, and digital cameras. The new paint-drawing programs contained extensive commands for manipulating pixel based images. It was desirable to move towards techniques that could support both pixel and vector based images.

When the CES Colortec tufted control system was designed in 1996, a new pattern design strategy was implemented. A CES program called AutoTuft was developed to create patterns from industry standard bitmap (BMP) files. All the popular graphic design programs such as CorelDraw and PhotoPaint could now be used to design patterns for CES tufting control systems. Exported bitmap files are imported into AutoTuft for final scaling and pixel editing. AutoTuft is then used to create the final CES compatible tuft control pattern.

In January of 2001, CES begin designing the next generation AutoTuft type product called DesignTuft. This program now has many new features that simplify designing carpet and rug patterns for CES tufting control systems. In March of 2002, version 2 of the DesignTuft program was released. Version 3 of the product was released in November of 2002.

This manual describes the features and operation of the DesignTuft product.


Introduction

 Top Previous Next

The DesignTuft program is used to create carpet and rug patterns. These patterns are used to generate tuft control files for the the CES tufting control system. Patterns can be made for all of the different machine types currently supported by the CES controller. To understand how this is done, let's first define some terms to be used.

Carpet is manufactured with tufting machines that have one or more needle bars. Each needle bar contains a row of needles physically separated by a distance called the needle spacing or machine gauge. The needle bars move up and down as the backing material advances through the machine. Each up and down motion of the needle bar is call a needle stroke. The backing can be moved either continuously or intermittently between needle strokes. On some machine types the needle bars are shifted left or right between needle strokes. A stitch is created when one or more needle strokes occur in combination with a backing move.

Each needle is threaded with a specific type of yarn. A tuft is created each time a needle penetrates the carpet backing. Each tuft has specific characteristics that are controlled using various electrical and pneumatic mechanisms (solenoids and clutches). Different machine types have unique methods to control the tuft characteristics such as yarn type, loop height, needle gage, and cut. The machine state for each tuft is defined by the control state and yarn type for that tuft. Each machine state creates a unique visual look for that tuft position in the carpet.

Different machine types support different machine states. For instance, an UTPA machine type tufts either HIGH or LOW pile. An ICN overtuft machine tufts either ON (needle engaged) or OFF (needle disengaged). A HLCS machines tufts either HIGH, LOW, or CUT pile. A SCROLL2 machine tufts either HIGH or LOW pile. A SCROLL3 machine tufts either HIGH, MEDIUM, or LOW pile. A COLORTEC or TWEAVER machine tufts a specific yarn type in each tuft position.


Pattern Structure

A DesignTuft pattern consists of a collection of related logical objects. These objects contain all the information necessary to completely describe how the carpet should be tufted. The program presents these objects in various screens for editing and viewing. All the objects are stored in a single file of type PAT.

A hierarchical tree structure or outline helps to organize the objects.

· Control Setup

All the various pattern file (TUF) and pattern option file (DAT) settings are maintained in the control setup form. The machine type, pattern dimensions, pattern line spacing, machine gauge, and more are defined here.

· Pattern Setup

Four different objects are maintained in the pattern setup form:

· The creel object defines the yarn type to be threaded in each needle of the machine. This is sometimes called the creel assignment.

· The design table is optionally used to help a designer visulize a pattern created for a machine type such as UTPA which can use color hiding techniques. For instance, by making one needle tuft HIGH and the adjacent needle tuft LOW, visually only the high tuft can be seen. During the design process it can be helpful to treat adjacent tuft pairs as one tuft. The design table defines the palette entry to use for each odd yarn type / odd control state / even yarn type / even control state combination.

· The machine table defines the number of yarn types used in the pattern and the palette entry (color) to use when displaying each yarn type / control state combination. Yarn types are assigned ordered letters A, B, C, etc. For example, the machine table could define that when yarn type A has a control state of HIGH that it should be displayed with a color defined by palette entry #5.

· The palette contains a table of all the available colors to be used in the design. The palette entries are numbered 1 thru N, where N is the selected maximum number of colors allowed in the pattern.

· Pictures

This collection object contains a list of picture objects.

· Picture

The picture object defines how the pattern is to be presented on screen as an array of multiple repeated images for editing and viewing purposes. The picture object contains a Regions and a Windows collection object.

· Regions

This collection object contains a list of region objects.

· Region

A region defines a rectangular portion of the picture which originates from the pattern but may be translated by flipping and/or rotating. The picture may contain multiple region objects.

· Windows

This collection object contains a list of window objects.

· Window

A window provides a viewport on the screen used to display and edit the picture. Multiple windows may be defined for a picture so that different areas of the picture can be viewed at different zoom levels at the same time.

· Sections

This collection object contains a list of section objects.

· Section

A section defines a rectanglur portion of the pattern which may originate from another part of the pattern after flipping and/or rotating. A pattern may contain multiple non-overlapping section objects.


Basic Design Steps

What follows are the basic steps that are required to create a new pattern and export the data to a tuft control file.

Step #1

Create a bitmap image file using whatever technique is appropiate. Patterns can originate from images created with paint and draw programs, digital cameras, scanners, or other means. A paint program can also be used to refine the graphic image and reduce the number of colors. Each color should represent a specific machine state.

The image is then exported to a Microsoft Windows standard bitmap (BMP) file.

Step #2

Inside DesignTuft, create a new pattern either by left clicking the New button on the toolbar or by selecting one of the pattern creation Wizards. Complex pattern templates can be quickly created using one of the wizards.

Step #3

Select the new pattern in the Tree view and left click on the SaveAs button. Select the desired directory and assign the pattern a meaningful name.

Step #4

Open the Control Setup screen and edit/verify all of the pattern parameters including machine type, pattern dimensions, pattern line spacing, and needle spacing. When finished apply the changes, and reselect the Tree view.

Step #5

Open the Pattern Setup screen and edit the four design objects as follows:

· Set the number of colors to be used in the pattern design. The color of each palette entry can be modified by left double clicking the item. Colors can also be assigned to the palette when a bitmap image is imported later.

· Set the number of yarn types to be used in the pattern design. Then assign a palette entry to each machine state (yarn type / control state combination).

· Assign a yarn type to each control (needle) in the creel assignment table. First, left click on the yarn type and then left click on the desired control number. To repeat a group of values across the full width of the machine, set the repeat size and left click the Repeat button.

· Assign a color (palette entry) to each machine state in the machine state table. Click or the desired color in the palette and then click on the machine state.

· If the design view is to be used, assign a color (palette entry) to each design state in the design state table.

When finished, apply the changes and reselect the Tree view.

Step #6

Select a Region in the tree view that defines an area of the pattern to be overlaid by the bitmap image created in step #1 (displayed in red). Left click the Import button and select the correct bitmap filename. In the Import Bitmap screen, assign palette entries to the bitmap colors. Left click on a palette entry and then left click on the desired bitmap color. Optionally, the bitmap colors can be added to the palette by left clicking the palette button.

When finished apply the changes.

Step #7

Open the Window form and make any changes to the bitmap desired. Select the desired view mode: Design or Machine. Use the Zoom button to toggle between zoom and edit mode. When in zoom mode, left click to magnify the image and right click to demagnify the image. When in edit mode, left click to paint with the current LBUTTON palette entry. Right click to paint with the current RBUTTON palette entry. To change the current selected palette entry, left or right click the desired color in the palette.

When finished left click the save button to save the pattern to disk; then reselect the Tree view.

Step #8

To export the pattern data to a tuft control file, first select the pattern in the Tree view. Left click the Export button and select a filename when requested.


Main Screen

DesignTuft uses a multiple document interface. The current selected document name is shown in brackets on the title bar at the top of the window.

Standard pull-down menus are used to perform various programmed tasks.

The main tool bar contains buttons that are used to perform common functions.

A tabbed notebook style interface is used to display the various working windows. Each window has a toolbar with buttons for all the support functions.

The Tree window shows a hierarchical view of currently opened patterns.

The status bar at the bottom is used to display various status messages such as the current directory.

The file pull-down menu contains:

· New Pattern
· Open Pattern
· Close All Patterns
· Save All Patterns
· Explorer
· Folder
· Exit

The edit pull-down menu contains:

· Preferences (not used currently)

Wizards are built-in programs used to quickly perform a specialized task. Common pattern types can be created after entering a few parameters.

The wizards pull-down menu contains:

· New Pattern
· New Rug Pattern
· New Carpet Pattern
· New Half Drop Pattern
· New Pattern From CES Control File (.TUF)
· New Pattern From CMC Control File (.CAR)
· New Pattern From NED Graphics Pattern File (.PAT)
· New Pattern With Repeats

The window pull-down menu contains:

· Tile
· Cascade
· Arrange Icons
· Close All
· List of current open windows

Context sensitive help is available within the program by pressing the F1 function key.

The help pull-down menu contains:

· Reference (this document)
· About


Tree

A pattern consist of the following objects:

· Control Setup
· Pattern Setup
· Pictures list
· One or more Pictures
· Regions list
· One or more Regions
· Windows list
· One or more Windows
· Sections list
· One or more Sections

When the Tree tab is selected a hierarchical view of currently opened patterns is displayed. Each item or node in the tree view is referred to as an object. The root of the tree is the Patterns object which contains a list of all open patterns. Any object that contains other objects is displayed with a plus or minus sign to the left of the object. By left clicking on the +/- sign, the display is either collapsed or expanded.

To select an object in the tree, left click on the object name. The selected object is highlighted in dark blue; its name is displayed on the status bar at the bottom of the window. To open the selected object in a separate window, left click the Open button.


Pattern

When a new pattern is created, the program first searches the current directory for the default pattern named DEFAULT.PAT. The current directory is the last directory used for any file operation. If the file is not found, the program then searches the default directory for the same filename. The default directory is the directory in which the program was originally loaded.

If the DEFAULT.PAT file is found, the new pattern will initially contain all the information of the default pattern. A new default pattern file can be created at any time by saving a pattern with the appropiate name DEFAULT.PAT.

If the default pattern is not found, a new pattern is created with information loaded from the different default object files. Again, the current directory is searched first and then the default directory. Below is a list of the default object files. These files can be created using the Export feature available for each object.

FileName | Contains
DEFAULT.CRE | Default creel information
DEFAULT.DES | Default design table information
DEFAULT.MCH | Default machine table information
DEFAULT.PAL | Default palette information
DEFAULT.SET | Default control settings information

Buttons

· Save

To save changes made to the selected pattern, left click the Save button.

· Save As

To save the selected pattern to a new filename, left click the SaveAs button.

· Import

To load an existing TUF and DAT file into the selected pattern, left click the Import button. These are the files used to control the machine.

· Export

To create a new TUF and DAT file, left click the Export button. These are the files used to control the machine.

· Close

To close the selected pattern, left click the Close button. If changes have been made, the program will give you the option to save the changes before closing.


Control Setup

The settings are divided into two groups, pattern settings which are stored in the TUF file and pattern options which are stored in the DAT file.

Pattern Settings

· Machine type

This parameter specifies for which machine type the pattern is designed to be used. This setting affects the behavior of the DesignTuft program. For instance, the machine type defines the allowable control states available.

The CES control system does not require that the machine type of the pattern match the machine type of the control in all cases. For instance, a pattern designed for an UTPA machine type can be used on a ICN control system.

· Number of controls

The number of controls defines the width of the pattern.

· Number of pattern lines

The number of pattern lines (plines) defines the height of the pattern.

· Allow pattern offset

This setting determines whether the pattern can be offset left or right at the machine.

· Invert pattern

This setting if selected causes the controller to invert the pattern at pattern load time (e.g. ON state is inverted to OFF state).

· Stitches / backing step

On machine types where the backing is stepped using a servo controller, this setting determines how many passes of the needle bar occur between backing moves.

· Size code

This is a user defined alpha numeric code (obsolete).

· Style code

This is a user defined alpha numeric code (obsolete).

Pattern Options

· Description

This is a user defined alpha numeric string (64 characters max).

· File version

This parameter specifies the file version of the pattern option file. There are currently 6 versions; older control programs will require lower version numbers. For example, ColorTec currently uses version 3 files.

· Needle spacing

This parameter defines the distance between adjacent needles (inches).

· Pattern line spacing

This parameter defines the distance between adjacent pattern lines (inches).

· Stitch spacing

This parameter defines the desired distance between adjacent stitches (inches). The control system can display a stitch count error based on this setting.

· Length multiplier

This parameter can be used to stretch the pattern lengthwise. It should normally always be set to 1 when designing the pattern.

· Starting cam position

This parameter defines where the needle bar shifter cam should be located for pattern line 1.

· Control mode
· 0-Backing

The control advances to the next pattern line after the backing has advanced the distance set by the pattern line spacing.

· 1-Needle

The control advances to the next pattern line after each needle penetration.

· 2-Both

The control advances to the next pattern line after the backing has advanced the distance set by the pattern line spacing; however, the advancement will only take place when the needle is at a programmed position in its rotation.

· Pattern offset

This setting determines which needle should be controlled by control number 1 in the pattern. A zero offset means that pattern control number 1 controls needle number 1 on the machine. A positive offset positions the pattern to the right; a negative offset positions the pattern to the left.

· Offset mode
· 0-Offset

If offset is selected, the pattern is offset left/right based on the pattern offset setting (data is shifted).

· 1-Rotate

If rotate is selected, the pattern is rotated left/right based on the pattern offset setting (data is rotated).

· Allow operator to:
· Change control mode
· Change pattern length
· Change pattern offset
· Invert pattern

· Flags:
· Auto start pattern

This causes the pattern to automatically load and run at program start up.

· Invert pattern

This causes the pattern to be inverted at pattern load time.

· Test pattern

Lot tracking is disabled while a test pattern is being run.

Buttons

· Save

To save current pattern changes to disk, left click the Save button.

· Save As

To save the current pattern changes to disk using a new file name, left click the Save As button.

· Import

To load a previously saved Settings definition from a file (SET filetype), left click the Import button.

· Export

To save the current Settings definition to a file (SET filetype), left click the Export button.

· Cancel

To cancel changes made to the Settings definition, left click the Cancel button.

· Apply

To apply changes made to the Settings definition, left click the Apply button.

· Close

To close the Control Setup form, left click the Close button. Any changes are automatically applied before closing.


Pattern Setup

The pattern setup screen is used to configure the following objects:

· Palette
· Creel
· Machine Table
· Design Table

Palette

The palette is used to define the colors to be used in the pattern design. The number of palette entries (colors) is entered in the edit box.

Each palette entry is numbered, starting with 1.

To modify the RGB value (red, green, blue color) of a palette entry, left double click on the color. This opens the standard Windows color dialog box shown below.

The color box at the bottom of the list labeled "L" shows the currently selected color assigned to the left mouse button (LBUTTON).

The color box at the bottom of the list labeled "R" shows the currently selected color assigned to the right mouse button (RBUTTON).

The color dialog box is used to select a predefined color or to define a new custom color.

Creel

To assign a yarn type to a control, left click on the yarn type (A, B, ...) in the vertical table on the left side of the screen; then left click on the control number that should use that yarn type. To repeat a sequence of yarn types across the full width of the pattern, enter the repeat size in the edit box and then left click on the Repeat button.

Machine Table

The machine table assigns a palette entry for each possible yarn type / control state combination. To assign a palette entry, first left or right click on the palette table; then left or right click on the desired yarn type / machine state pair.

Design Table

The design table can be used to help a designer visulize a pattern created for a machine type such as UTPA which can use color hiding techniques. For instance, by making one needle tuft HIGH and the adjacent needle tuft LOW, visually only the high tuft can be seen. During the design process it can be helpful to treat adjacent tuft pairs as one tuft.

The design table assigns a palette entry for each possible odd yarn type / odd control state / even yarn type / even control state combination. To assign a palette entry, first left or right click on the palette table; then left or right click on the desired combination.

Buttons

· Import

To load a previously saved setup file, left click the Import button. From the dropdown menu, select one of the four filetypes:

· Creel file (.CRE filetype)
· Design table file (.DES filetype)
· Machine table file (.MCH filetype)
· Palette file (.PAL filetype)

· Export

To save the current setup to a file, left click the Export button. From the dropdown menu, select one of the four filetypes.

· Save

To save current pattern changes to disk, left click the Save button.

· Save As

To save the current pattern changes to disk using a new file name, left click the Save As button.

· Cancel

To cancel changes made to the Creel sequence setup, left click the Cancel button.

· Apply

To apply changes made to the Creel sequence setup, left click the Apply button.

· Close

To close the Creel sequence setup window, left click the Close button. Any changes are automatically applied before closing.

Type 2 Patterns

When designing "Type 2" patterns (ColorTec and Tufted Weaver), YarnType A-P must be set to PaletteEntry 1-16. The tufting control makes this assumption when loading "Type 2" patterns. The pattern contains the palette entries for each tuft and the palette is always 16 colors.

In the Pattern Setup screen, always set the NoColors = 16, NoYarnTypes = 16, and the MachineTable entries such that YarnType A = PaletteEntry 1, YarnType B = PaletteEntry 2, ..., and YarnType P = PaletteEntry 16. The RepeatSize will default to the "Stitches Per Backing Step" from the Settings screen. The creel must contain the colors (Palette Entries) that you use when drawing the pattern in the design window for the control to properly tuft the pattern.

Warning: At this time DesignTuft does not force you to do the right thing (steps listed above).


Picture

The picture defines the dimensions of the work area to be viewed and edited. Multiple repeats of the pattern can be shown in various configurations (rotates and mirrors). Multiple picture definitions can be created.

Buttons

· Save

To save current pattern changes to disk, left click the Save button.

· Save As

To save the current pattern changes to disk using a new file name, left click the Save As button.

· Import

To load a previously saved Picture definition from a file (PIC filetype), left click the Import button.

· Export

To save the current Picture definition to a file (PIC filetype), left click the Export button.

· Cancel

To cancel changes made to the Picture definition, left click the Cancel button.

· Apply

To apply changes made to the Picture definition, left click the Apply button.

· Close

To close the Picture definition window, left click the Close button. Any changes are automatically applied before closing.


Region

A region defines a rectangular area in the pattern that is translated (mapped) to a rectangular area in the picture using optional translation functions such as horizontal flipping, vertical flipping, and rotation (90, 180, or 270 degrees). Multiple regions can be created and overlapping regions are allowed. Using regions, complex pictures can be created.

The originating point is the pattern control and pline (pattern line) defined. The destination point is the picture control and pline defined. The width of the rectangle copied is the number of controls specified; the height of the rectangle copied is the number of plines specified.

The destination width and height will be identical to the originating rectangle unless the region is rotated either 90 or 270 degrees in which case the values are reversed.

Bitmap images can be imported to or exported from defined regions. The Import Flag checkbox is used to identify which regions are designed to be used in for import/export. The Tree View screen highlites the regions with the import flag set in red.

Buttons

· Save

To save current pattern changes to disk, left click the Save button.

· Save As

To save the current pattern changes to disk using a new file name, left click the Save As button.

· Import

To load a previously saved Bitmap into the currently selected region, left click the Import button.

· Export

To save a Bitmap image of the currently selected region, left click the Export button.

· Delete

To delete a Region definition, left click the Delete button.

· Cancel

To cancel changes made to the Region definition, left click the Cancel button.

· Apply

To apply changes made to the Region definition, left click the Apply button.

· Close

To close the Region definition window, left click the Close button. Any changes are automatically applied before closing.


Window

A window provides a scrolling viewport into the picture for editing and viewing purposes. The current control and pattern line (pline) is shown in the status bar at the bottom of the screen.

Buttons

· Zoom

This button toggles the program between zoom and draw mode.

· Zoom Mode

When the zoom button is depressed, clicking the left mouse button magifies (zooms in) the area of the picture selected. The image is centered around the point that was clicked. Clicking the right mouse button demagifies (zooms out) the image.

· Draw Mode

When the Zoom button is deselected, the program is in draw mode. Clicking the left mouse button draws (paints) the currently selected left palette entry. Clicking the right mouse button draws (paints) the currently selected right palette entry. To change the selected palette entry, single click the desired palette entry with the left or right mouse button. Drawing can also be accomplished by holding the mouse button down while dragging the mouse.

· View Mode

The View mode defines how pattern elements are viewed and edited.

· Machine View

Use machine view to view/edit individual pattern elements (tufts). This view uses the Machine Table which is defined in the Pattern Setup screen when displaying and editing the pattern.

· Design View

Use design view to pair pattern elements together for viewing and editing. This can be useful when working with machine types that support color hiding techniques. This view uses the Design Table which is defined in the Pattern Setup screen when displaying and editing the pattern.

· Save

To save current pattern changes to disk, left click the Save button.

· Save As

To save the current pattern changes to disk using a new file name, left click the Save As button.

· Close

To close the Window, left click the Close button.


Section

A section defines a rectangular area in the pattern that is translated (mapped) to another rectangular area in the same pattern using optional translation functions such as horizontal flipping, vertical flipping, and rotation (90, 180, or 270 degrees). Multiple sections can be created. Overlapping sections are not allowed. All points in the pattern must be contained within a section.

The originating point is the pattern control and pline (pattern line) defined on the left. The destination point is the pattern control and pline defined on the right. The width of the rectangle copied is the number of controls specified; the height of the rectangle copied is the number of plines specified.

The destination width and height will be identical to the originating rectangle unless the region is rotated either 90 or 270 degrees in which case the values are reversed.

Buttons

· Import

To load a previously saved Section definition from a file (SEC filetype), left click the Import button.

· Export

To save the current Section definition to a file (SEC filetype), left click the Export button.

· Save

To save current pattern changes to disk, left click the Save button.

· Delete

To delete a Section definition, left click the Delete button.

· Cancel

To cancel changes made to the Section definition, left click the Cancel button.

· Apply

To apply changes made to the Section definition, left click the Apply button.

· Close

To close the Section definition window, left click the Close button. Any changes are automatically applied before closing.


Wizards

Wizards are built-in programs used to perform a specific task. For instance, new patterns can be quickly created using the wizards listed below:

· New Pattern
· New Rug Pattern
· New Carpet Pattern
· New Half Drop Pattern
· New Pattern From CES Control File (.TUF)
· New Pattern From CMC Control File (.CAR)
· New Pattern From NED Graphics Pattern File (.PAT)
· New Pattern With Repeats


New Pattern

The new pattern wizard can be used to quickly create a simple pattern with the following layouts:

· 1 Section
· 2 Sections, Horizontal
· 2 Sections, Vertical
· 4 Sections

Below is an example tree created when 4 sections are selected. The picture has the same dimensions as the pattern. Two regions are automatically created:

· Region #1 (Region1-1) fills the entire picture
· Region #2 (Region1-2) defines one quarter section. The region is highlited in red because the Import Flag is checked indicating that this region is intended to be used to import bitmaps.


New Rug Pattern

The new rug pattern wizard can be used to quickly create a rug pattern with selectable options.

Below is an example tree created when 4 sections are selected. The picture has the same dimensions as the pattern. Three rugs are created. Two regions are automatically created:

· Region #1 (Region1-1) fills the entire picture.
· Region #2 (Region1-2) defines one quarter section. The region is highlited in red because the Import Flag is checked indicating that this region is intended to be used to import bitmaps.


New Carpet Pattern

The new carpet pattern wizard can be used to quickly create a rug pattern with selectable options.

Below is an example tree created with the settings above. The picture contains two repeats of the pattern and the pattern is centered on the machine.

The last region (Region1-3) can be used to import bitmaps.


New Half Drop Pattern

The new half drop pattern wizard can be used to quickly create a carpet pattern with the above selectable options.

This is an example tree created with the settings above. The picture contains three repeats of the pattern.

The last region (Region1-4) can be used to import bitmaps.


Import / Export

DesignTuft supports the following filetypes for import and export:

· Bitmap (.BMP)
· Creel (.CRE)
· Design Table (.DES)
· Machine Table (.DES)
· Palette (.PAL)
· Picture (.PIC)
· Region (.REG)
· Section (.SEC)
· Tuft Control (.TUF)


Bitmaps

Graphic images or bitmaps are stored on disk in files with a file type of BMP. These bitmap images can be loaded into a picture using the Import function. A Region must be defined that describes the rectangular area in the picture which will receive the imported data. The region is selected and the Import button is left clicked.

Image data can be exported from DesignTuft in a similar manner.

To import a bitmap image, select the Region that describes the rectangle to receive the data and left click the Import button.

To export a bitmap image, select the Region that describes the rectangle of data to be saved and left click the Export button.

Import Bitmap

After clicking the Import button, a image of the bitmap is displayed. On the left, three columns of color information appear. The first column is the palette which is used to select colors. The second column contains the colors that occur in the imported bitmap. Three third column is used to assign palette entries to bitmap colors.

Above we have assigned palette entry #14 to the bitmap's grey background and palette entry #1 to the bitmap's red lettering. This was done by left clicking the palette entry and then left clicking on the bitmap color.

Above we have assigned palette entry #4 to the bitmap's red lettering. This will change the red letters to green when the import is applied.

Above we show what happens when the palette button is left clicked. Palette entry #4 has been redefined to the red from the imported bitmap. Palette entry #0 is undefined, so no change takes place for the grey color.


Tuft Control Files

Patterns for the CES tufting control system are stored in a data file having the filetype of TUF. Since the control system is DOS based, the filename must be 8 characters or less. The TUF file contains the state data used to control the tufting machine plus various pattern settings seen in the Control Setup screen.

Each TUF file can optionally have an associated Pattern Option file which has the same filename but a different filetype of DAT. The DAT file contains various pattern options which can be set in the Control Setup screen. If the pattern option file is not present at pattern load time, the controller will automatically load a default pattern options file.

To create a TUF pattern in DesignTuft, select the pattern name in the Tree view screen and then left click the Export button in the toolbar. Note that a pattern diskette can contain one or more TUF and DAT files.

To load a TUF pattern into DesignTuft, select an existing open pattern name in the Tree view screen and then left click the Import button in the toolbar.


Machine Types

The CES control system can control 14 different machine types. The types include:

Machine Type | Description | Control States
0-UTPA | Universal type pattern attachment | High, Low
1-ICN | Individual controlled needle | On (tuft), Off (no tuft)
2-SCROLL2 | 2 level scroll | High, Low
3-SCROLL3 | 3 level scroll | High, Medium, Low
4-HLCS | High, low, cut scroll | High, Low, Cut
5-LCL | Level cut loop |
6-UTPA2 | Double needle bar UTPA | High, Low
7-ICN2 | Double needle bar ICN | On, Off
8-LCL2 | Double needle bar LCL |
9-FRS | Full repeat scroll |
10-SCROLL2S | Double needle bar SCROLL2 | High, Low
11-COLORTEC | Colortec | Yarn type
12-TWEAVER | Tufted weaver | Yarn type
13-FRS2 | Double needle bar FRS |
14-SCROLL3S | Double needle bar SCROLL3 | High, Medium, Low

UTPA

The universal type pattern attachment (UTPA) machine tufts either HIGH or LOW pile.

ICN

The individually controlled needle (ICN) machine is called an overtuft machine because it conditionally tufts based on the ON or OFF state of the control output.

SCROLL2

The two level scroll (SCROLL2) machine tufts either HIGH or LOW pile using clutch mechanisms.

SCROLL3

The three level scroll (SCROLL3) machine tufts either HIGH, MEDIUM, or LOW pile using clutch mechanisms.

HLCS

The high, low, cut scroll (HLCS) machine tufts either HIGH, LOW, or CUT pile.

LCL

The level cut loop (LCL) machine.

UTPA2

The double needle bar universal type pattern attachment (UTPA2) machine works like a standard UTPA machine.

ICN2

The double needle bar individual controlled needle (ICN2) machine works like a standard ICN machine.

LCL2

The double needle bar level cut loop (LCL2) machine works like a standard LCL machine.

FRS

The full repeat scroll (FRS) machine.

FRS2

The double needle bar full repeat scroll (FRS2) machine works like a standard FRS machine.

SCROLL2S

The two level scroll with staggered needle bars (SCROLL2S) machine tufts either HIGH or LOW pile using clutch mechanisms.

COLORTEC

The ColorTec machine uses double needle bars that are shifted left and right using a cam mechanism. The backing is stepped using a servo motor after the needle bar has stepped through all positions. The number of positions the needle bar shifts determines the number of colors that can be tufted in any single position.

TWEAVER

The tufted weaver (TWEAVER) machine uses double needle bars that are shifted left and right using a cam mechanism. The backing is continously feed. The number of positions the needle bar shifts determines the number of colors that can be tufted in any single position.

SCROLL3S

The three level scroll (SCROLL3S) machine tufts either HIGH, MEDIUM, or LOW pile using clutch mechanisms with staggered needle bar.


Explorer

The Microsoft Windows Explorer program can be used to create, cut, copy, paste, drag, and drop files and folders.


About

The about dialog box shows the current version of the program and the date that it was released.

CES's address, phone number, and fax number are also shown.

Technical support is available via email at:

mail@ces-web.com

Up to date information on program changes are available on the CES web site at:

http:www.ces-web.com


History

 Top Previous

01/14/2001

· Initial design and specifications began.

10/06/2001

· Initial manual completed.

12/03/2001 - V1.1.0.0

· Create rug wizard bug corrected (overlapping sections not allowed).

12/04/2001 - V1.2.0.0

· New parameter (starting PLine offset) added to create rug wizard.
· Import bitmap assignment of colors improved. If the bitmap color exists in the palette, the palette entry is automatically assigned.

02/01/2002 - V1.3.0.0

· Corrected problem generated if the number of yarn types was reduced causing invalid creel assignment values.
· Folder select now defaults to current directory.
· Switching between machine view and design view now works correctly.
· Closing windows (Creel, DesignTable, and MachineTable) by clicking 'X' in top left corner now works correctly

02/03/2002 - V1.4.0.0

· Double clicking on Tree object now opens the object; the tree is not expanded or collapsed. Click on the +/- to expand/collapse tree.
· Data validation added to all Wizard screens.
· Exporting Tuft (.TUF) file now also exports the Colors (.CLR) file for pattern type 1 controls.

02/28/2002 - V1.5.0.0

· Corrected problems with machine type / state definitions in Import and Export of type 1 patterns.

03/27/2002 - V2.0

· Creel, machine table, design table, and palette now consolidated into one pattern setup screen.
· Design table now grays out unused table entries.
· Import flag added to regions. If set the tree displays the region name in red.
· Window now supports both machine and design view with radio button selection.
· Data entry and validation improved.
· New FRS2 machine type added.
· F1 context sensitive help added.
· Manual redesigned.

11/26/2002 - V3.0

· Reverse flag in Control setup now works correctly. If reverse flag is checked, pattern is reversed when imported from or exported to Tuft file.
· Change control mode flag bug fixed.
· Import region file type bug fixed.
· Import bitmap now correctly applies palette if selected.
· Improved import bitmap sampling routine.
· Undefined state added to Pattern setup.
· Undefined and background colors added to palette.
· Close Tree program crash fixed.
· Machine table initialization improved.
· Other minor bugs corrected.

03/28/2003 - V3.1

· Inverted data for CMC patterns.

04/03/2003 - V3.2

· Added support for Colors type 2 files in Tuft Export.

04/14/2003 - V3.3

· Corrected V3.0 bug loading patterns.
· Added new wizard to create new pattern from CES control file (.TUF).
· Added new wizard to create new pattern from CAR control file (.CAR).
· Removed pattern import feature.

04/15/2003 - V3.4

· Create new pattern from 2 plane .CAR files now set machine type to SCROLL3.

05/06/2003 - V3.5

· Added new wizard to create new pattern from NED Graphics (.PAT) file.

07/05/2005 - V3.8

· Added new wizard: “New Pattern With Repeats”.
· Corrected several bugs.
· Pattern now supports more than 255 sections.

10/10/2005 - V3.10

· Corrected reference to help file.

10/18/2005 - V3.11

· Added manual link to help menu.
· Corrected problem with double clicking palette entry in bitmap import window.
· Exported .TUF filenames are now restricted to 8 characters.
· Corrected problem with wizard that reads .TUF files.

10/22/2005 - V3.12

· Undefined state disabled in Pattern Setup if PatternType=2 (COLORTEC and TWEAVER).
· Pattern Setup refreshed if Control Setup changed.
· Palette editing only allowed in Pattern Setup window.
· Palette object modified to contain both undefined and background colors. Display issues concerning these colors corrected.

10/23/2005 - V3.13

· Corrected problem creating new COLORTEC pattern from .TUF file.
· New zoom cursor added to Window view.
· Undefined and background colors are now persisted in palette.
· Corrected problem with Pattern Option file (.DAT) created when exporting COLORTEC pattern (.TUF).
· Corrected problem with exporting bitmap.

10/25/2005 - V3.14

· Added new technique to persist settings using DesignTuft.ini file. ADS database no longer used.

10/28/2005 - V3.15

· Manual and help file now installed in same folder with DesignTuft.exe.

11/03/2006 - V3.16

· New rug pattern wizard for mirrored, 4 section layout rugs updated.

11/06/2006 - V3.17

· New rug pattern wizard for mirrored, 2 section horizontal layout rugs updated.

02/01/2007 - V3.18

· ForceOnExit improved to insure changes made are applied/saved without the need to move off the current edit field.

02/19/2007 - V3.19

· Main form now correctly opens in maximized mode if last closed in maximized mode on program exit.

03/24/2007 - V3.20

· Validate pattern function added which is called when (1) saving control setup changes, and (2) when exporting .TUF file.
· Improved wizard that creates pattern from .TUF file. Loading control settings bug corrected. Data is now loaded from .CLR file also.
· The export to .TUF no longer creates a .CLR file if the pattern type is 2.

03/25/2007 - V3.21

· Using the wizard "New Pattern From CES Control File (.TUF)" on "Type 2" patterns now works correctly.
· When designing "Type 2" patterns (ColorTec and Tufted Weaver), YarnType A-P must be set to PaletteEntry 1-16. The tufting control makes this assumption when loading "Type 2" patterns. The pattern contains the palette entries for each tuft and the palette is always 16 colors.

In the Pattern Setup screen, always set the NoColors = 16, NoYarnTypes = 16, and the MachineTable entries such that YarnType A = PaletteEntry 1, YarnType B = PaletteEntry 2, ..., and YarnType P = PaletteEntry 16. The RepeatSize will default to the "Stitches Per Backing Step" from the Settings screen. The creel must contain the colors (Palette Entries) that you use when drawing the pattern in the design window for the control to properly tuft the pattern.

Warning: At this time the DesignTuft program does not force you to do the right thing (steps listed above).

03/27/2007 - V3.22

· Corrected bug which caused Regions to be corrupted if a Picture was modified.
· Create new rug pattern wizard "Mirror Type Machine" checkbox name changed to "Mirror Generated Sections".

04/02/2007 - V3.23

· Corrected pattern save as default filename bug.
· Corrected definition of HLCS state names.
· Corrected bugs in creation of .CLR files.

04/03/2007 - V3.24

· Corrected bugs with HLCS state definitions.
· Corrected bug with .TUF creel data not saving properly (yarntypes offset by 1).
· Added new MachineTable file version to allow saving "Undefined State" value. DEFAULT.MCH files should be recreated to utilize this new feature.